Package weka.gui.beans

# Class Loader

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
weka.gui.beans.AbstractDataSource
weka.gui.beans.Loader

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `BeanContextChild`, `Serializable`, `Accessible`, `EnvironmentHandler`, `BeanCommon`, `DataSource`, `EventConstraints`, `Startable`, `StructureProducer`, `Visible`, `WekaWrapper`

public class Loader extends AbstractDataSource implements Startable, WekaWrapper, EventConstraints, BeanCommon, EnvironmentHandler, StructureProducer
Loads data sets using weka.core.converter classes

Since:
  1.0
Version:
  $Revision: 7458 $
Author:
  Mark Hall
See Also:
  - `AbstractDataSource`
  - `UserRequestAcceptor`
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.JComponent

`JComponent.AccessibleJComponent`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.BaselineResizeBehavior`

## Field Summary

### Fields inherited from class javax.swing.JComponent

`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class java.awt.Component

`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`Loader()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addDataSourceListener(DataSourceListener dsl)`
Add a listener
`void`
`addInstanceListener(InstanceListener dsl)`
Add an instance listener
`boolean`
`connectionAllowed(EventSetDescriptor esd)`
Returns true if, at this time, the object will accept a connection via the supplied EventSetDescriptor.
`boolean`
`connectionAllowed(String eventName)`
Returns true if, at this time, the object will accept a connection via the named event
`void`
`connectionNotification(String eventName, Object source)`
Notify this object that it has been registered as a listener with a source for receiving events described by the named event This object is responsible for recording this fact.
`void`
`disconnectionNotification(String eventName, Object source)`
Notify this object that it has been deregistered as a listener with a source for named event.
`boolean`
`eventGeneratable(String eventName)`
Returns true if the named event can be generated at this time
`String`
`getCustomName()`
Get the custom (descriptive) name for this bean (if one has been set)
`Loader`
`getLoader()`
Get the loader
`String`
`getStartMessage()`
Gets a string that describes the start action.
`Instances`
`getStructure(String eventName)`
Get the structure of the output encapsulated in the named event.
`Object`
`getWrappedAlgorithm()`
Get the loader
`String`
`globalInfo()`
Global info (if it exists) for the wrapped loader
`boolean`
`isBusy()`
Returns true if.
`static void`
`main(String[] args)`
`void`
`removeDataSourceListener(DataSourceListener dsl)`
Remove a listener
`void`
`removeInstanceListener(InstanceListener dsl)`
Remove an instance listener
`void`
`setBeanContext(BeanContext bc)`
Set a bean context for this bean
`void`
`setCustomName(String name)`
Set a custom (descriptive) name for this bean
`void`
`setDB(boolean flag)`
`void`
`setEnvironment(Environment env)`
Set environment variables to use.
`void`
`setLoader(Loader loader)`
Set the loader to use
`void`
`setLog(Logger logger)`
Set a logger
`void`
`setWrappedAlgorithm(Object algorithm)`
Set the loader
`void`
`start()`
Start loading
`void`
`startLoading()`
Start loading data
`void`
`stop()`
Stop any loading action.

### Methods inherited from class weka.gui.beans.AbstractDataSource

`addPropertyChangeListener, addVetoableChangeListener, getBeanContext, getVisual, removePropertyChangeListener, removeVetoableChangeListener, setVisual, useDefaultVisual`

### Methods inherited from class javax.swing.JPanel

`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

### Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Loader

public Loader()

## Method Details

### globalInfo

public String globalInfo()
Global info (if it exists) for the wrapped loader

Returns:
  the global info

### setDB

public void setDB(boolean flag)

### setBeanContext

public void setBeanContext(BeanContext bc)
Set a bean context for this bean

Specified by:
  `setBeanContext` in interface `BeanContextChild`
Overrides:
  `setBeanContext` in class `AbstractDataSource`
Parameters:
  `bc` - a `BeanContext` value

### setLoader

public void setLoader(Loader loader)
Set the loader to use

Parameters:
  `loader` - a `weka.core.converters.Loader` value

### getStructure

public Instances getStructure(String eventName)
Get the structure of the output encapsulated in the named event. If the structure can't be determined in advance of seeing input, or this StructureProducer does not generate the named event, null should be returned.

Specified by:
  `getStructure` in interface `StructureProducer`
Parameters:
  `eventName` - the name of the output event that encapsulates the requested output.
Returns:
  the structure of the output encapsulated in the named event or null if it can't be determined in advance of seeing input or the named event is not generated by this StructureProduce.

### getLoader

public Loader getLoader()
Get the loader

Returns:
  a `weka.core.converters.Loader` value

### setWrappedAlgorithm

public void setWrappedAlgorithm(Object algorithm)
Set the loader

Specified by:
  `setWrappedAlgorithm` in interface `WekaWrapper`
Parameters:
  `algorithm` - a Loader
Throws:
  `IllegalArgumentException` - if an error occurs

### getWrappedAlgorithm

public Object getWrappedAlgorithm()
Get the loader

Specified by:
  `getWrappedAlgorithm` in interface `WekaWrapper`
Returns:
  a Loader

### startLoading

public void startLoading()
Start loading data

### start

public void start() throws Exception
Start loading

Specified by:
  `start` in interface `Startable`
Throws:
  `Exception` - if something goes wrong

### getStartMessage

public String getStartMessage()
Gets a string that describes the start action. The KnowledgeFlow uses this in the popup contextual menu for the component. The string can be proceeded by a '$' character to indicate that the component can't be started at present.

Specified by:
  `getStartMessage` in interface `Startable`
Returns:
  a string describing the start action.

### eventGeneratable

public boolean eventGeneratable(String eventName)
Returns true if the named event can be generated at this time

Specified by:
  `eventGeneratable` in interface `EventConstraints`
Parameters:
  `eventName` - the event
Returns:
  a `boolean` value

### addDataSourceListener

public void addDataSourceListener(DataSourceListener dsl)
Add a listener

Specified by:
  `addDataSourceListener` in interface `DataSource`
Overrides:
  `addDataSourceListener` in class `AbstractDataSource`
Parameters:
  `dsl` - a `DataSourceListener` value

### removeDataSourceListener

public void removeDataSourceListener(DataSourceListener dsl)
Remove a listener

Specified by:
  `removeDataSourceListener` in interface `DataSource`
Overrides:
  `removeDataSourceListener` in class `AbstractDataSource`
Parameters:
  `dsl` - a `DataSourceListener` value

### addInstanceListener

public void addInstanceListener(InstanceListener dsl)
Add an instance listener

Specified by:
  `addInstanceListener` in interface `DataSource`
Overrides:
  `addInstanceListener` in class `AbstractDataSource`
Parameters:
  `dsl` - a `InstanceListener` value

### removeInstanceListener

public void removeInstanceListener(InstanceListener dsl)
Remove an instance listener

Specified by:
  `removeInstanceListener` in interface `DataSource`
Overrides:
  `removeInstanceListener` in class `AbstractDataSource`
Parameters:
  `dsl` - a `InstanceListener` value

### main

public static void main(String[] args)

### setCustomName

public void setCustomName(String name)
Set a custom (descriptive) name for this bean

Specified by:
  `setCustomName` in interface `BeanCommon`
Parameters:
  `name` - the name to use

### getCustomName

public String getCustomName()
Get the custom (descriptive) name for this bean (if one has been set)

Specified by:
  `getCustomName` in interface `BeanCommon`
Returns:
  the custom name (or the default name)

### setLog

public void setLog(Logger logger)
Set a logger

Specified by:
  `setLog` in interface `BeanCommon`
Parameters:
  `logger` - a `weka.gui.Logger` value

### setEnvironment

public void setEnvironment(Environment env)
Set environment variables to use.

Specified by:
  `setEnvironment` in interface `EnvironmentHandler`
Parameters:
  `env` - the environment variables to use

### connectionAllowed

public boolean connectionAllowed(EventSetDescriptor esd)
Returns true if, at this time, the object will accept a connection via the supplied EventSetDescriptor. Always returns false for loader.

Specified by:
  `connectionAllowed` in interface `BeanCommon`
Parameters:
  `esd` - the EventSetDescriptor
Returns:
  true if the object will accept a connection

### connectionAllowed

public boolean connectionAllowed(String eventName)
Returns true if, at this time, the object will accept a connection via the named event

Specified by:
  `connectionAllowed` in interface `BeanCommon`
Parameters:
  `eventName` - the name of the event
Returns:
  true if the object will accept a connection

### connectionNotification

public void connectionNotification(String eventName, Object source)
Notify this object that it has been registered as a listener with a source for receiving events described by the named event This object is responsible for recording this fact.

Specified by:
  `connectionNotification` in interface `BeanCommon`
Parameters:
  `eventName` - the event
  `source` - the source with which this object has been registered as a listener

### disconnectionNotification

public void disconnectionNotification(String eventName, Object source)
Notify this object that it has been deregistered as a listener with a source for named event. This object is responsible for recording this fact.

Specified by:
  `disconnectionNotification` in interface `BeanCommon`
Parameters:
  `eventName` - the event
  `source` - the source with which this object has been registered as a listener

### stop

public void stop()
Stop any loading action.

Specified by:
  `stop` in interface `BeanCommon`

### isBusy

public boolean isBusy()
Returns true if. at this time, the bean is busy with some (i.e. perhaps a worker thread is performing some calculation).

Specified by:
  `isBusy` in interface `BeanCommon`
Returns:
  true if the bean is busy.